Bug 1720286 - A more traditional workspace switcher for classic mode
Summary: A more traditional workspace switcher for classic mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell
Version: 7.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
Marek Suchánek
URL:
Whiteboard:
: 1762048 (view as bug list)
Depends On: 1704360
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-13 15:02 UTC by Matthias Clasen
Modified: 2020-06-01 13:49 UTC (History)
10 users (show)

Fixed In Version: mutter-3.28.3-15.el7 gnome-shell-3.28.3-16.el7 gnome-shell-extensions-3.28.1-9.el7
Doc Type: Enhancement
Doc Text:
.Modified workspace switcher in GNOME Classic Workspace switcher in the GNOME Classic environment has been modified. The switcher is now located in the right part of the bottom bar, and it is designed as a horizontal strip of thumbnails. Switching between workspaces is possible by clicking on the required thumbnail. Alternatively, you can also use the kbd:[Ctrl + Alt + ↑] and kbd:[Ctrl + Alt + ↓] keyboard shortcuts to switch between workspaces. The content of the active workspace is shown in the left part of the bottom bar in form of the _window list_. When you press the kbd:[Super] key within the particular workspace, you can see the _window picker_, which includes all windows that are open in this workspace. However, the _window picker_ no longer displays the following elements that were available in the previous release of RHEL: * _dock_ (vertical bar on the left side of the screen) * _workspace switcher_ (vertical bar on the right side of the screen) * _search entry_ For particular tasks that were previously achieved with the help of these elements, adopt the following approaches: * To launch applications, instead of using _dock_, you can: ** Use the *Applications* menu on the top bar ** Press the kdb:[Alt + F2] keys to make the *Enter a Command* screen appear, and write the name of the executable into this screen. * To switch between workspaces, instead of using the vertical _workspace switcher_, use the horizontal _workspace switcher_ in the right bottom bar. * If you require the _search entry_ or the vertical _workspace switcher_, use the GNOME Standard environment instead of GNOME Classic.
Clone Of: 1704360
Environment:
Last Closed: 2020-03-31 19:39:43 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screencast from testing the new functionality in GNOME Classic (881.15 KB, application/octet-stream)
2019-09-09 08:25 UTC, Pavlin Georgiev
no flags Details
Moving app's window to a different workspace (1.36 MB, image/png)
2019-09-09 08:26 UTC, Pavlin Georgiev
no flags Details
Screencast from testing the new functionality in GNOME Standard (921.30 KB, text/plain)
2019-09-09 10:50 UTC, Pavlin Georgiev
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1021 None None None 2020-03-31 19:40:27 UTC

Comment 4 Florian Müllner 2019-09-06 19:19:10 UTC
Backported from 3.34 upstream in

 - mutter-3.28.3-15.el7
 - gnome-shell-3.28.3-16.el7
 - gnome-shell-extensions-3.28.1-9.el7

Comment 6 Pavlin Georgiev 2019-09-09 08:25:43 UTC
Created attachment 1613030 [details]
Screencast from testing the new functionality in GNOME Classic

TEST SETUP
Distro: RHEL-7.8-20190905.0
Component version: 
  mutter-3.28.3-14.el7
  gnome-shell-3.28.3-14.el7
  gnome-shell-extensions-3.28.1-8.el7


TEST PROCEDURE
1. Download and install Brew builds:
    - mutter-3.28.3-15.el7  (https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=963234)
    - gnome-shell-3.28.3-16.el7  (https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=963266)
    - gnome-shell-extensions-3.28.1-9.el7  (https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=963294)
2. Log in a GNOME session.
3. Start gnome-tweaks.
4. Set the number of workspaces to 12.
5. Log out.
6. Log in GNOME Classic.
7. Start several applications.
8. Put the windows of each app on a different workspace.
9. Switch between workspaces 'with one click'.

Comment 7 Pavlin Georgiev 2019-09-09 08:26:50 UTC
Created attachment 1613031 [details]
Moving app's window to a different workspace

Comment 8 Pavlin Georgiev 2019-09-09 09:07:36 UTC
TEST PROCEDURE 2
1. Log in GNOME session (not classic).

RESULT 2
The bottom bar and switching 'with one click' is NOT available in this type of GNOME session.

Comment 9 Pavlin Georgiev 2019-09-09 10:50:21 UTC
Created attachment 1613093 [details]
Screencast from testing the new functionality in GNOME Standard

TEST PROCEDURE 3
1. Log in GNOME session (not classic).
2. Start gnome-tweaks.
3. Set static workspaces.
4. Set the number of workspaces to 12.
5. Open section "Extensions" in gnome-tweaks
6. Press button from "Browse in Software".
7. Open tab "Shell Extensions".
8. Press button "Extensions Settings".
9. From the list of extensions, activate 2 of them:
    - Workspace Indicator
    - Horizontal workspaces
10. Log out.
11. Log in GNOME standard session.
12. Start several applications.
13. Put the windows of each app on a different workspace.
14. Switch between workspaces 'with one click'.


RESULT 3
The bottom bar and switching 'with one click' is available in GNOME standard session.

Comment 10 Pavlin Georgiev 2019-09-09 10:51:28 UTC
OUTCOME
Updating component: mutter
  from: 3.28.3-14.el7
    to: 3.28.3-15.el7
    
Updating component: gnome-shell
  from: 3.28.3-14.el7
    to: 3.28.3-16.el7

Updating component: gnome-shell-extensions
  from: 3.28.1-8.el7
    to: 3.28.1-9.el7
offers the desired functionality.

Comment 11 Tomas Pelka 2019-10-16 07:22:59 UTC
*** Bug 1762048 has been marked as a duplicate of this bug. ***

Comment 15 errata-xmlrpc 2020-03-31 19:39:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1021


Note You need to log in before you can comment on or make changes to this bug.